## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 1
%global debug_package %{nil}

%global crate tame-index

Name:           rust-tame-index
Version:        0.18.1
Release:        %autorelease
Summary:        Access to local and remote cargo registry indices

License:        Apache-2.0 OR MIT
URL:            https://crates.io/crates/tame-index
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * remove unused benchmark-only tiny-bench dev-dependency
Patch:          tame-index-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Provides access to local and remote cargo registry indices.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/CODE_OF_CONDUCT.md
%doc %{crate_instdir}/CONTRIBUTING.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+__git-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+__git-devel %{_description}

This package contains library source intended for building other packages which
use the "__git" feature of the "%{crate}" crate.

%files       -n %{name}+__git-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+__internal_all-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+__internal_all-devel %{_description}

This package contains library source intended for building other packages which
use the "__internal_all" feature of the "%{crate}" crate.

%files       -n %{name}+__internal_all-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+git-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+git-devel %{_description}

This package contains library source intended for building other packages which
use the "git" feature of the "%{crate}" crate.

%files       -n %{name}+git-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+gix-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+gix-devel %{_description}

This package contains library source intended for building other packages which
use the "gix" feature of the "%{crate}" crate.

%files       -n %{name}+gix-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+gix-curl-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+gix-curl-devel %{_description}

This package contains library source intended for building other packages which
use the "gix-curl" feature of the "%{crate}" crate.

%files       -n %{name}+gix-curl-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+gix-reqwest-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+gix-reqwest-devel %{_description}

This package contains library source intended for building other packages which
use the "gix-reqwest" feature of the "%{crate}" crate.

%files       -n %{name}+gix-reqwest-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+local-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+local-devel %{_description}

This package contains library source intended for building other packages which
use the "local" feature of the "%{crate}" crate.

%files       -n %{name}+local-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+local-builder-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+local-builder-devel %{_description}

This package contains library source intended for building other packages which
use the "local-builder" feature of the "%{crate}" crate.

%files       -n %{name}+local-builder-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+native-certs-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+native-certs-devel %{_description}

This package contains library source intended for building other packages which
use the "native-certs" feature of the "%{crate}" crate.

%files       -n %{name}+native-certs-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+sparse-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+sparse-devel %{_description}

This package contains library source intended for building other packages which
use the "sparse" feature of the "%{crate}" crate.

%files       -n %{name}+sparse-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# * skip tests that require a cargo cache directory
# * skip tests that require internet connectivity
%{cargo_test -- -- --exact %{shrink:
    --skip serializes_current_cargo_cache
    --skip parses_current_cargo_cache
    --skip can_take_shared_lock
    --skip wait_lock_times_out
    --skip waits_lock
}}
%endif

%changelog
## START: Generated by rpmautospec
* Mon Mar 24 2025 Fabio Valentini <decathorpe@gmail.com> - 0.18.1-1
- Update to version 0.18.1; Fixes RHBZ#2346776

* Thu Jan 23 2025 Fabio Valentini <decathorpe@gmail.com> - 0.17.0-1
- Update to version 0.17.0; Fixes RHBZ#2276584

* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Mon Dec 02 2024 Fabio Valentini <decathorpe@gmail.com> - 0.14.0-1
- Update to version 0.14.0

* Wed Sep 18 2024 blinxen <h-k-81@hotmail.com> - 0.12.0-3
- Update gix dependency to 0.66

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun Jul 07 2024 blinxen <h-k-81@hotmail.com> - 0.12.0-1
- Update to version 0.12.0

* Mon Apr 15 2024 Fabio Valentini <decathorpe@gmail.com> - 0.10.0-1
- Update to version 0.10.0; Fixes RHBZ#2248148

* Sat Apr 06 2024 blinxen <h-k-81@hotmail.com> - 0.7.2-3
- Update gix dependency to version 0.61

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Nov 02 2023 Fabio Valentini <decathorpe@gmail.com> - 0.7.2-1
- Initial import (#2243016)
## END: Generated by rpmautospec
